Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.io
Class GraphMLFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          edu.uci.ics.jung.io.GraphMLFileHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class GraphMLFileHandler
extends DefaultHandler

The default GraphML file handler to use to parse the xml file

Author:
  Scott White

Constructor Summary
`GraphMLFileHandler()` The default constructor

Method Summary
`protected Edge` | `createEdge(Map attributeMap)`
`protected void` | `createGraph(Map attributeMap)`
`protected ArchetypeVertex` | `createVertex(Map attributeMap)`
`protected Graph` | `getGraph()`
`protected StringLabeller` | `getLabeller()`
`void` | `startElement(String namespaceURI, String lName, String qName, Attributes attrs)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphMLFileHandler

    public GraphMLFileHandler()

  The default constructor

Method Detail

### getGraph

    protected Graph getGraph()

### getLabeller

    protected StringLabeller getLabeller()

### createEdge

    protected Edge createEdge(Map attributeMap)

### createGraph

    protected void createGraph(Map attributeMap)

### createVertex

    protected ArchetypeVertex createVertex(Map attributeMap)

### startElement

    public void startElement(String namespaceURI,
                             String lName,
                             String qName,
                             Attributes attrs)
                      throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD